summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yth - Arnaud <yth@ythogtha.org>2019-10-25 15:06:42 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-10-25 15:06:52 +0700
commit415d49b7c5ffd8afa2361af5f514b994beb36245 (patch)
treefc65873cb463078ab04160c351f2ce8d8a38a350
parent4acc56981498fc4806fd4f09011d9ea8824e76d8 (diff)
downloadslackbuilds-415d49b7c5ffd8afa2361af5f514b994beb36245.tar.gz
slackbuilds-415d49b7c5ffd8afa2361af5f514b994beb36245.tar.xz
python/crank: Added (Python module).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/crank/README1
-rw-r--r--python/crank/crank.SlackBuild69
-rw-r--r--python/crank/crank.info10
-rw-r--r--python/crank/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/python/crank/README b/python/crank/README
new file mode 100644
index 0000000000..9afdaa1776
--- /dev/null
+++ b/python/crank/README
@@ -0,0 +1 @@
+Generalized Object based Dispatch mechanism for use across frameworks.
diff --git a/python/crank/crank.SlackBuild b/python/crank/crank.SlackBuild
new file mode 100644
index 0000000000..a780570cc9
--- /dev/null
+++ b/python/crank/crank.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# SlackBuild script for crank.
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=crank
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/crank/crank.info b/python/crank/crank.info
new file mode 100644
index 0000000000..1f2b626080
--- /dev/null
+++ b/python/crank/crank.info
@@ -0,0 +1,10 @@
+PRGNAM="crank"
+VERSION="0.8.1"
+HOMEPAGE="https://github.com/TurboGears/crank"
+DOWNLOAD="https://pypi.python.org/packages/source/c/crank/crank-0.8.1.tar.gz"
+MD5SUM="476c0e2127548b4379b4807b21d63617"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/python/crank/slack-desc b/python/crank/slack-desc
new file mode 100644
index 0000000000..f133750a26
--- /dev/null
+++ b/python/crank/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+crank: crank (Python module)
+crank:
+crank: Generalized Object based Dispatch mechanism for use across frameworks
+crank:
+crank:
+crank:
+crank:
+crank:
+crank:
+crank:
+crank: